[Xfce4-commits] <xfconf:master> Make the abicheck work on Solaris and PPC64 (bug #7416).

Nick Schermer noreply at xfce.org
Fri Mar 25 17:56:01 CET 2011


Updating branch refs/heads/master
         to a2d91c0e7ec3fa327b68dbc26809d40a5592307f (commit)
       from ed2db07ccace659ce9e06f334f41ad09419d6cb1 (commit)

commit a2d91c0e7ec3fa327b68dbc26809d40a5592307f
Author: Guido Berhoerster <gber at opensuse.org>
Date:   Fri Mar 25 17:52:50 2011 +0100

    Make the abicheck work on Solaris and PPC64 (bug #7416).

 xfconf/abicheck.sh |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/xfconf/abicheck.sh b/xfconf/abicheck.sh
index 4684846..a21a209 100755
--- a/xfconf/abicheck.sh
+++ b/xfconf/abicheck.sh
@@ -2,6 +2,7 @@
 #
 # Copyright (c) 2004 The GLib Development Team.
 # Copyright (c) 2005 Benedikt Meurer <benny at xfce.org>.
+# Copyright (c) 2011 Guido Berhoerster <gber at opensuse.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,6 +18,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 #
 
-cpp -P -DINCLUDE_INTERNAL_SYMBOLS -DINCLUDE_VARIABLES -DALL_FILES ${srcdir:-.}/xfconf.symbols | sed -e '/^$/d' -e 's/ XFCONF_GNUC.*$//' -e 's/ G_GNUC.*$//' -e 's/ PRIVATE//' | sort > expected-abi
-nm -D .libs/libxfconf-0.so | grep " T\|R " | cut -d ' ' -f 3 | grep -v '^_.*' | sort > actual-abi
-diff -u expected-abi actual-abi && rm expected-abi actual-abi
+trap 'rm expected-abi actual-abi' EXIT
+${CPP:-cpp} -DINCLUDE_INTERNAL_SYMBOLS -DINCLUDE_VARIABLES -DALL_FILES ${srcdir:-.}/xfconf.symbols | sed 's/ G_GNUC.*$//;s/ PRIVATE//;/^ *$/d;/^#/d' | sort >expected-abi
+${NM:-nm} -D -g -P .libs/libxfconf-0.so | awk '$2~/^[DRTG]$/&&$1~/^[^_]/{print $1}' | sort >actual-abi
+diff -u expected-abi actual-abi



More information about the Xfce4-commits mailing list